org.eclipse.viatra.transformation.debug.model.breakpoint

## Class RuleBreakpointHandler

- java.lang.Object
- - org.eclipse.viatra.transformation.debug.model.breakpoint.RuleBreakpointHandler

- All Implemented Interfaces:
    java.io.Serializable, ITransformationBreakpointHandler

      public class RuleBreakpointHandler
      extends java.lang.Object
      implements ITransformationBreakpointHandler

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleBreakpointHandler(java.lang.String ruleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object item)`
    `java.lang.String` | `getRuleId()`
    `int` | `hashCode()`
    `boolean` | `isEnabled()`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setRuleId(java.lang.String ruleId)`
    `boolean` | `shouldBreak(Activation<?> a)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleBreakpointHandler

          public RuleBreakpointHandler(java.lang.String ruleId)

  - ### Method Detail

    - #### shouldBreak

          public boolean shouldBreak(Activation<?> a)

      Specified by:
        `shouldBreak` in interface `ITransformationBreakpointHandler`

    - #### equals

          public boolean equals(java.lang.Object item)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getRuleId

          public java.lang.String getRuleId()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Specified by:
        `setEnabled` in interface `ITransformationBreakpointHandler`

    - #### isEnabled

          public boolean isEnabled()

      Specified by:
        `isEnabled` in interface `ITransformationBreakpointHandler`

    - #### setRuleId

          public void setRuleId(java.lang.String ruleId)